@charset "UTF-8";
/* CSS Document */

.bnr-fixed-recruit002 {
position: fixed;
left: -10px;
/*top: 70px;*/
bottom:30px;
z-index: 1500;
margin-bottom: 0;
width: auto;
background-color: transparent;
box-sizing: border-box;
border-top-left-radius: 4px;
border-bottom-left-radius: 4px;
filter: drop-shadow(0px 0px 1px rgba(0,0,0,0.2)) drop-shadow(0px 0px 1px rgba(0,0,0,0.2)) drop-shadow(0px 0px 1px rgba(0,0,0,0.2));
margin: 0;
padding: 0;
}

#topPage .bnr-fixed-recruit002 {
/*
left: -10px;
top: 30px;
*/
}



.btnAnimationBox {
margin:0 auto;
}

.btnAnimation {
width: 100%;
margin: 0 auto;
border-radius: 2px;
background-color: #85b2a6;
}

.btnAnimation {
position: relative;
overflow: hidden;
display: flex;
align-items: center;
justify-content: center;
}

.btnAnimation .inner {
padding: 10px 0px 10px 40px;
padding: 0;
background: #0b644d;
border-radius: 2px;
position: relative;
z-index: 1;
width: 100%;
margin: 6px;
}

.btnAnimation::before {
content: "";
display: block;
background: linear-gradient(
	90deg,
	rgba(0, 0, 0, 0) 0%,
	rgba(255, 255, 255, 1.0) 20%,
	rgba(255, 255, 255, 1.0) 50%,
	rgba(255, 255, 255, 1.0) 70%,
	rgba(0, 0, 0, 0) 100%
	);
height: 300px;
width: 100px;
transform: translate(0);
position: absolute;
animation: rotate 2.5s linear forwards infinite;
z-index: 0;
top: 50%;
transform-origin: top center;
}

.btnAnimation a {
display: inline-block;
font-size: 14px;
line-height: 1.1em;
color: #fff;
text-decoration: none;
text-align: center;
padding: 10px 0px 10px 40px;
}

.btnAnimation .inner a i {
position: absolute;
top: 0px;
left: 0;
font-size: 30px;
background-color: transparent;
padding: 13px;
padding-bottom: 12.5px;
}

.btnAnimationBox.rightSlidein {
animation: slideIn 1s cubic-bezier(0.25, 1, 0.5, 1) forwards;
}

.btnAnimationBox #btnClose {
position: absolute;
z-index: 10;
border:none;
border-radius: 0;
-moz-appearance: none;
-webkit-box-sizing: none;
-webkit-appearance: none;
appearance: none;
padding: 14px;
background-image: url("../images/btn_close006.svg");
background-repeat: no-repeat;
background-position: left top;
background-size: 28px auto;
cursor:pointer;
margin-right: 0em;
position: relative;
top: 24px;
left: calc(100% - 18px);
}

.btnAnimationBox:has(#btnClose:checked) {
display: none;
opacity: 0;
animation: fadeIn 0.5s ease-in 0s forwards;
}


.btnAnimationBox .fas.fa-user {
margin-top: 10px;
}


@media screen and (min-width: 768px) {

	.bnr-fixed-recruit002 {
	position: fixed;
	left: -10px;
	top: calc(100% - 150px);
/*	top: 175px; */
	}
	#topPage .bnr-fixed-recruit002 {
	top: 100px;
	}
	#page .bnr-fixed-recruit002 {
	top: 100px;
	}

	.btnAnimation .inner a i {
	top: 2px;
	font-size: 40px;
	}

	.btnAnimation .inner {
	}

	.btnAnimation a {
	font-size: 18px;
	padding: 15px 15px 15px 50px;
	}

}


/* keyframes */

@keyframes rotate {
  from {transform: rotate(0);}
  to {transform: rotate(360deg);}
}
 
@keyframes slideIn {
  0% {
    transform: translateX(180px);
	transform: translateX(-180px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
  }
  40%,100% {
    opacity: 1;
  }
}

@keyframes fadeIn {
  0% {
    display: block;
    opacity: 1;
  }

  50% {
    display: block;
    opacity: 1;
  }

  100% {
    display: none;
    opacity: 0;
  }
}